import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React, { useState } from "react";
import Button from "@mui/material/Button";
import { makeStyles } from "@mui/styles";
import { createTheme, ThemeProvider } from "@mui/material/styles";
import Select from "react-select";
import Code from "react-syntax-highlighter";
import Dialog from "@mui/material/Dialog";
import DialogTitle from "@mui/material/DialogTitle";
import DialogContent from "@mui/material/DialogContent";
import DialogActions from "@mui/material/DialogActions";
import MonacoEditor from "react-monaco-editor";
var theme = createTheme();
var useStyles = makeStyles(function (theme) {
  return {
    editBar: {
      padding: 10,
      borderBottom: "1px solid #ccc",
      backgroundColor: "#f8f8f8",
      display: "flex",
      alignItems: "center",
      "& .button": {
        margin: 5
      }
    },
    select: {
      width: 240,
      fontSize: 14
    },
    contentArea: {
      padding: 10
    },
    specificationArea: {
      padding: 10
    }
  };
});

var loadSavedInput = function loadSavedInput() {// try {
  //   return JSON.parse(window.localStorage.getItem("customInput") || "{}")
  // } catch (e) {
  //   return {}
  // }
};

export var examples = {
  "Simple Bounding Box": function SimpleBoundingBox() {
    return {
      taskDescription: "Annotate each image according to this _markdown_ specification.",
      // regionTagList: [],
      // regionClsList: ["hotdog"],
      regionTagList: ["has-bun"],
      regionClsList: ["hotdog", "not-hotdog"],
      enabledTools: ["select", "create-box"],
      // showTags: true,
      images: [{
        src: "https://images.unsplash.com/photo-1496905583330-eb54c7e5915a?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80",
        name: "hot-dogs-1"
      }, {
        src: "https://www.bianchi.com/wp-content/uploads/2019/07/YPB17I555K.jpg",
        name: "bianchi-oltre-xr4"
      }],
      allowComments: true
    };
  },
  "Simple Segmentation": function SimpleSegmentation() {
    return {
      taskDescription: "Annotate each image according to this _markdown_ specification.",
      regionClsList: ["car", "truck"],
      enabledTools: ["select", "create-polygon"],
      images: [{
        src: "https://images.unsplash.com/photo-1561518776-e76a5e48f731?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=750&q=80",
        name: "car-image-1"
      }]
    };
  },
  Custom: function Custom() {
    return loadSavedInput();
  }
};

var Editor = function Editor(_ref) {
  var onOpenAnnotator = _ref.onOpenAnnotator,
      lastOutput = _ref.lastOutput;
  var c = useStyles();

  var _useState = useState(),
      _useState2 = _slicedToArray(_useState, 2),
      currentError = _useState2[0],
      changeCurrentError = _useState2[1];

  var _useState3 = useState(window.localStorage.getItem("customInput") ? "Custom" : "Simple Bounding Box"),
      _useState4 = _slicedToArray(_useState3, 2),
      selectedExample = _useState4[0],
      changeSelectedExample = _useState4[1];

  var _useState5 = useState(false),
      _useState6 = _slicedToArray(_useState5, 2),
      outputDialogOpen = _useState6[0],
      changeOutputOpen = _useState6[1];

  var _useState7 = useState(JSON.stringify(examples[selectedExample](), null, "  ")),
      _useState8 = _slicedToArray(_useState7, 2),
      currentJSONValue = _useState8[0],
      changeCurrentJSONValue = _useState8[1];

  return React.createElement(ThemeProvider, {
    theme: theme
  }, React.createElement("div", null, React.createElement("div", {
    className: c.editBar
  }, React.createElement("div", {
    style: {
      flexGrow: 1
    }
  }), React.createElement("div", null, React.createElement(Button, {
    className: "button",
    variant: "outlined",
    disabled: Boolean(currentError),
    onClick: function onClick() {
      onOpenAnnotator(selectedExample === "Custom" ? loadSavedInput() : examples[selectedExample]);
    }
  }, "Open Annotator")))));
};

export default Editor;