import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React, { setState, useState, memo } from "react";
import { makeStyles } from "@mui/styles";
import { createTheme, ThemeProvider } from "@mui/material/styles";
import SidebarBoxContainer from "../SidebarBoxContainer";
import HistoryIcon from "@mui/icons-material/History";
import List from "@mui/material/List";
import ListItem from "@mui/material/ListItem";
import ListItemText from "@mui/material/ListItemText";
import IconButton from "@mui/material/IconButton";
import ListItemSecondaryAction from "@mui/material/ListItemSecondaryAction";
import UndoIcon from "@mui/icons-material/Undo";
import moment from "moment";
import { grey } from "@mui/material/colors";
import isEqual from "lodash/isEqual";
import Box from "@mui/material/Box";
var theme = createTheme();
var useStyles = makeStyles(function (theme) {
  return {
    emptyText: {
      fontSize: 14,
      fontWeight: "bold",
      color: grey[500],
      textAlign: "center",
      padding: 20
    }
  };
});
var listItemTextStyle = {
  paddingLeft: 16
};
export var ImageTagSidebarBox = function ImageTagSidebarBox(_ref) {
  var history = _ref.history,
      onRestoreHistory = _ref.onRestoreHistory;

  var _useState = useState(null),
      _useState2 = _slicedToArray(_useState, 2),
      radioTag = _useState2[0],
      setRadioTag = _useState2[1];

  var _useState3 = useState(null),
      _useState4 = _slicedToArray(_useState3, 2),
      saveTag = _useState4[0],
      setSaveTag = _useState4[1];

  var onChangeRadioTag = function onChangeRadioTag(e) {
    setRadioTag(e.target.value);
  };

  var onSaveTag = function onSaveTag(e) {
    e.preventDefault();
    setSaveTag(radioTag);
  };

  return React.createElement(ThemeProvider, {
    theme: theme
  }, React.createElement(SidebarBoxContainer, {
    title: "TAG",
    icon: true,
    expandedByDefault: true
  }, React.createElement("div", {
    style: {
      height: "120px",
      width: "220px",
      border: "1px solid rgba(0, 0, 0, 0.3)",
      borderRadius: "5px",
      margin: "auto",
      padding: "20px"
    },
    onChange: onChangeRadioTag
  }, React.createElement("input", {
    type: "radio",
    style: {
      accentColor: "#27AE60",
      marginRight: "5px"
    },
    name: "good",
    value: "good"
  }), React.createElement("label", {
    for: "specifyColor"
  }, "Good"), React.createElement("br", null), React.createElement("input", {
    type: "radio",
    style: {
      accentColor: "#27AE60",
      marginTop: "10px",
      marginRight: "5px"
    },
    name: "good",
    value: "good"
  }), React.createElement("label", {
    for: "specifyColor"
  }, "Bad"), React.createElement("br", null), React.createElement("input", {
    type: "radio",
    style: {
      accentColor: "#27AE60",
      marginTop: "10px",
      marginRight: "5px"
    },
    name: "good",
    value: "good"
  }), React.createElement("label", {
    for: "specifyColor"
  }, "Ignore"), React.createElement("br", null), React.createElement("button", {
    style: {
      padding: "8px",
      float: "right",
      backgroundColor: "#27AE60",
      border: "none",
      color: "white",
      borderRadius: "2px"
    },
    onClick: onSaveTag
  }, "Save"))));
};
export default memo(ImageTagSidebarBox, function (prevProps, nextProps) {
  return isEqual(prevProps.history.map(function (a) {
    return [a.name, a.time];
  }), nextProps.history.map(function (a) {
    return [a.name, a.time];
  }));
});